package com.medias.xml.metadata;

import com.medias.ConversionException;
import com.medias.utils.Entity;
import org.jdom.Element;

/**
 * @author combaz
 * Created on 10 févr. 2005
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class Integration implements Entity
{
	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    private Contact resp;
	private ExactTime dateD;
	private ExactTime dateF;
	private int nbFiles;
	private int jeuId;
//	private String size;
	
	public Integration() {
		this.resp = new Contact();
		this.dateD = new ExactTime();
		this.dateF = new ExactTime();
		this.nbFiles = 0;
//		this.size = null;
	}
	
	/**
	 * @return Returns the dateD.
	 */
	public ExactTime getDateD() {
		return dateD;
	}
	/**
	 * @param dateD The dateD to set.
	 */
	public void setDateD(ExactTime dateD) {
		this.dateD = dateD;
	}
	/**
	 * @return Returns the dateF.
	 */
	public ExactTime getDateF() {
		return dateF;
	}
	/**
	 * @param dateF The dateF to set.
	 */
	public void setDateF(ExactTime dateF) {
		this.dateF = dateF;
	}
	/**
	 * @return Returns the nbFiles.
	 */
	public int getNbFiles() {
		return nbFiles;
	}
	/**
	 * @param nbFiles The nbFiles to set.
	 */
	public void setNbFiles(int nbFiles) {
		this.nbFiles = nbFiles;
	}
	/**
	 * @return Returns the resp.
	 */
	public Contact getResp() {
		return resp;
	}
	/**
	 * @param resp The resp to set.
	 */
	public void setResp(Contact resp) {
		this.resp = resp;
	}
	/**
	 * @return Returns the size.
	 */
//	public String getSize() {
//		return size;
//	}
//	/**
//	 * @param size The size to set.
//	 */
//	public void setSize(String size) {
//		this.size = size;
//	}

	public Element toXmlElement(String title) {
		Element pers = this.resp.toXmlElement("integrateur");
		Element dd = this.dateD.toXmlElement("date_d");
		Element df = this.dateF.toXmlElement("date_f");
		Element n = new Element("nb_fichiers");
		n.addContent(""+this.nbFiles);
//		Element t = new Element("taille_fichiers");
//		t.addContent(this.size);
		
		Element integ = new Element(title);
		integ.addContent(pers);
		integ.addContent(dd);
		integ.addContent(df);
		integ.addContent(n);
//		integ.addContent(t);
		return integ;
	}
	
	public void fromXmlElement(Element el) throws ConversionException {
		Element p = el.getChild("integrateur");
		Element dd = el.getChild("date_d");
		Element df = el.getChild("date_f");
		Element n = el.getChild("nb_fichiers");
//		Element t = el.getChild("taille_fichiers");
		
		if((p==null)||(dd==null)||(df==null)||(n==null))
		        //||(t==null))
			throw new ConversionException(ConversionException.ERROR_fromXml + "Integration !");
		
		else {
			this.resp.fromXmlElement(p);
			this.dateD.fromXmlElement(dd);
			this.dateF.fromXmlElement(df);
			this.setNbFiles(Integer.parseInt(n.getText()));
//			this.setSize(t.getText());
		}
	}

	public int getJeuId() {
		return jeuId;
	}

	public void setJeuId(int jeuId) {
		this.jeuId = jeuId;
	}
	
/*	public void reset() {
		this.resp.reset();
		this.dateD.reset();
		this.dateF.reset();
		this.nbFiles = 0;
		this.size = null; 
	} */

}
