package com.medias.xml.metadata;

import com.medias.ConversionException;
import com.medias.DateTime;
import com.medias.utils.Entity;
import org.jdom.Element;

import java.sql.Timestamp;
import java.util.Date;

/**
 * @author combaz
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class ExactTime implements Entity
{
	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    public static String date_format = "dd/MM/yyyy";
	public static String heure_format = "HH:mm:ss";
	
	private String date;
	private String heure;
	
	public ExactTime() {
		super();
		this.date = "";
		this.heure = "";
	}

	/**
	 * @return Returns the date.
	 */
	public String getDate() {
		return date;
	}
	/**
	 * @param date The date to set.
	 */
	public void setDate(String date) {
		this.date = date;
	}
	/**
	 * @return Returns the heure.
	 */
	public String getHeure() {
		return heure;
	}
	/**
	 * @param heure The heure to set.
	 */
	public void setHeure(String heure) {
		this.heure = heure;
	}
	
	public Timestamp getTimestamp() {
		Date d = DateTime.getDate(this.date, date_format);
		Date h = DateTime.getDate(this.heure, heure_format);
		return DateTime.getTimeStamp(h,d);
	}
	
	public Element toXmlElement(String title) {
		Element d = new Element("date");
		d.addContent(this.date);
		Element h = new Element("heure");
		h.addContent(this.heure);
		
		Element time = new Element(title);
		time.addContent(d);
		time.addContent(h);
		return time;
	}
	
	public void fromXmlElement(Element el) throws ConversionException {
		Element d = el.getChild("date");
		Element h = el.getChild("heure");
		
		if((d==null)||(h==null))
			throw new ConversionException(ConversionException.ERROR_fromXml + "ExactTime !");
		
		else {
			this.setDate(d.getText());
			this.setHeure(h.getText());
		}
	}
	
	
	
/*	public void reset() {
		this.date = null;
		this.heure = null;
	} */
	
}
